{% load widget_tweaks %}

<div class="mb-3">
    <label for="{{field.name}}">{{field.label}}</label>
    <div class="input-group">
        {% if field|field_type == "imagefield" %}
            {% include "application/fields/imagefield.html" with edit=edit create=create field=field instance=instance %}
        {% elif field.name == "text" %}
            {% include "application/fields/editorfield.html" with edit=edit create=create field=field instance=instance %}        
        {% elif field.name == "till_date" %}
            {% if edit or create %}
                {{field|attr:"id:date-picker"}}
            {% else %}
                {{field.value}}
            {% endif %}
        {% elif field.name == "status" %}
            {% if create or edit %}
                {{field}}
            {% else %}
                <h6>{{form.instance.get_status_display }}</h6>
            {% endif %}
        {% else %}
            {% if create or edit %}
                {{field}}
            {% else %}
               <h6>
                   {% if field.value %}
                        {{field.value}}
                   {% else %}
                        {{field}}
                    {% endif %}
               </h6>
            {% endif %}
        {% endif %}
        {% for error in field.errors %}
            <div class="mt-2 alert alert-danger" style="width: 100%;">
                {{error}}
            </div>
        {% endfor %}
    </div>
</div>